<ion-header class="ion-no-border">
    <ion-toolbar>
        <ion-buttons slot="start">
            <ion-back-button icon="chevron-back"></ion-back-button>
        </ion-buttons>
        <ion-title class="ion-no-padding ion-font-lg">Filtro</ion-title>
    </ion-toolbar>
</ion-header>

<ion-content>

    <ion-grid>

        <!-- <ion-row>
            <ion-col size="12">
                <ion-label color="dark">
                    <h2 class="ion-font-bold">Categorias</h2>
                </ion-label>
            </ion-col>
        </ion-row>

        <ion-row>
            <ion-col size="12">
                <div class="scroll-x non-scrollbar">
                    <ion-card class="ion-shadow ion-text-center ion-activatable">
                        <ion-card-content>
                            <ion-icon name="fast-food-outline" color="primary" style="font-size: 24px;"></ion-icon>
                            <ion-text color="primary">
                                <h6 class="ion-font-sm ion-font-bold ion-mt-2">Fast Food</h6>
                            </ion-text>
            
                            <ion-ripple-effect></ion-ripple-effect>
                        </ion-card-content>
                    </ion-card>
                </div>
            </ion-col>
        </ion-row> -->

        <ion-row>
            <ion-col size="12">
                <ion-label color="dark">
                    <h2 class="ion-font-bold">Ordenar</h2>
                </ion-label>
            </ion-col>
        </ion-row>

        <ion-row>
            <ion-col>
                <ion-radio-group [(ngModel)]="model.ordenar">

                    <ion-row>
                        <ng-container *ngFor="let o of ordernar">
                            <ion-col size="auto">
                                <ion-item lines="none" class="ion-item-toggle" [class.active]="model.ordenar === o.value">
                                    <ion-label><small>{{ o.label }}</small></ion-label>
                                    <ion-radio [value]="o.value" class="ion-opacity-0 ion-ml-n3"></ion-radio>
                                </ion-item>
                            </ion-col>
                        </ng-container>
                    </ion-row>

                </ion-radio-group>
            </ion-col>
        </ion-row><br>   

        <ion-row>
            <ion-col size="12">
                <ion-label color="dark">
                    <h2 class="ion-font-bold">Entrega</h2>
                </ion-label>
            </ion-col>
        </ion-row>

        <ion-row>
            <ion-col>
                <ion-segment mode="ios" class="ion-segment-toggle" [(ngModel)]="model.entrega">
                    <ng-container *ngFor="let e of entregar">
                        <ion-segment-button [value]="e.value" [class.active]="model.entrega === e.value">
                            <ion-label>{{ e.label }}</ion-label>
                        </ion-segment-button>
                    </ng-container>
                </ion-segment>
            </ion-col>
        </ion-row><br>

        <ion-row>
            <ion-col size="12">
                <ion-label color="dark">
                    <h2 class="ion-font-bold">Precio</h2>
                </ion-label>
            </ion-col>
        </ion-row>

        <ion-row>
            <ng-container *ngFor="let p of precio; index as i">
                <ion-col size="auto">
                    <label for="a{{i}}">
                        <ion-chip color="primary" [attr.outline]="model.precio !== p.value">
                            <strong>{{ p.label }}</strong>
                            <input type="radio" name="radio{{i}}" id="a{{i}}" [value]="p.value" [(ngModel)]="model.precio" class="ion-hide">
                        </ion-chip>
                    </label>
                </ion-col>
            </ng-container>
        </ion-row><br>

        <ion-row>
            <ion-col size="12">
                <ion-label color="dark">
                    <h2 class="ion-font-bold">Distancia</h2>
                </ion-label>
            </ion-col>
        </ion-row>

        <ion-row>
            <ion-col>
                <ion-item lines="none" class="ion-mt-n3 ion-ml-n4">
                    <ion-range min="0" max="2000" step="250" value="0" mode="md" pin ticks snaps color="primary"
                        [(ngModel)]="filtro.distancia">
                        <ion-text slot="start" color="primary">
                            <strong>Mayor que</strong>
                        </ion-text>
                        <ion-text slot="end" color="primary">
                            <strong>Metros</strong>
                        </ion-text>
                    </ion-range>
                </ion-item>
            </ion-col>
        </ion-row>

    </ion-grid>

</ion-content>

<ion-footer class="ion-no-border">
    <ion-toolbar>
        <ion-row>
            <ion-col>
                <ion-button expand="block" (click)="alert()">
                    <ion-text class="ion-text-capitalize">
                        Aplicar
                    </ion-text>
                </ion-button>
            </ion-col>
        </ion-row>
    </ion-toolbar>
</ion-footer>